* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Segoe UI', sans-serif;
  min-height: 100vh;
  padding: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.container {
  max-width: 1200px;
  background: rgba(255, 255, 255, 0.80);
  border-radius: 20px;
  padding: 40px;
  box-shadow: 0 20px 40px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(10px);
}

.header {
  margin-bottom: 35px;
}

.header-top {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  margin-bottom: 10px;
}

.back-button {
  position: absolute;
  left: 0;
  background: linear-gradient(45deg, #000000, #000000);
  color: white;
  padding: 12px 25px;
  border-radius: 25px;
  text-decoration: none;
  transition: 0.3s;
  cursor: pointer;
}

.back-button:hover {
  background: linear-gradient(45deg, #080222);
}

.title {
  font-size: 2rem;
  color: #2c3e50;
  font-weight: bold;
  text-align: center;
}

.subtitle {
  text-align: center;
  font-size: 1.1rem;
  color: #7f8c8d;
  margin-top: 10px;
}

.cards-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 19px;
  margin-bottom: 20px;
}

.card {
  background: #fff;
  border-radius: 18px;
  padding: 15px;
  text-decoration: none;
  color: inherit;
  box-shadow: 0 10px 25px rgba(0,0,0,0.1);
  transition: 0.3s;
  text-align: center;
  cursor: pointer;
}

.card:hover {
  transform: translateY(-8px);
  box-shadow: 0 20px 40px rgba(0,0,0,0.15);
}

.card-icon {
  font-size: 2rem;
  margin-bottom: 15px;
}

.card-title {
  font-size: 1.3rem;
  font-weight: bold;
  color: #2c3e50;
  margin-bottom: 8px;
}

.card-description {
  font-size: 0.95rem;
  color: #7f8c8d;
}

.card-outside {
  display: block;
  max-width: 400px;
  margin: 0 auto;
}
